#### Description:

This function applies a Mapping to transform the coordinates of a set of points in one dimension.

#### Synopsis

void astTran1( AstMapping ∗this, int npoint, const double xin[], int forward, double xout[] )

#### Parameters:

##### this

Pointer to the Mapping to be applied.

##### npoint

The number of points to be transformed.

##### xin

An array of `"` npoint`"` coordinate values for the input (untransformed) points.

##### forward

A non-zero value indicates that the Mapping`’` s forward coordinate transformation is to be applied, while a zero value indicates that the inverse transformation should be used.

##### xout

An array (with `"` npoint`"` elements) into which the coordinates of the output (transformed) points will be written.

#### Notes:

- The Mapping supplied must have the value 1 for both its Nin and Nout attributes.

#### Handling of Huge Pixel Arrays

If the number of points to be transformed exceeds the largest value that can be represented by a 4-byte integer, then the alternative `"` 8-byte`"` interface for this function should be used. This alternative interface uses 8 byte integer arguments (instead of 4-byte). Specifically, the argument `"` npoint`"` , is changed from type `"` int`"` to type `"` int64_t`"` (defined in header file stdint.h). The function name is changed by appending the digit `"` 8`"` to the name. Thus, astTran1 becomes astTran18
Copyright (C) 2021 East Asian Observatory